=== docs/requirements.txt ===
-e.[docs]
