=== debian/changelog ===
python-mt-940 (4.30.0-3) unstable; urgency=medium

  * Updated my mail address in d/control
  * Add patch for newer intersphinx mapping format (Closes: #1090151)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Dec 2024 14:51:00 +0100

python-mt-940 (4.30.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.
  * Mark python-mt-940-doc Multi-Arch: foreign
  * Added my new mail address

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 08 Aug 2023 12:58:16 +0200

python-mt-940 (4.30.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1038814)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Mon, 19 Dec 2022 16:06:12 +0100
