=== debian/control ===
Source: python-mt-940
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-yaml,
 python3-sphinx <!nodoc>,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-doctestplus
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/wolph/mt940
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mt-940
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mt-940.git

Package: python3-mt-940
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-mt-940-doc,
Description: Python library to parse mt940 files
 A library to parse MT940 files and returns smart Python collections for
 statistics and manipulation.
 .
 This package installs the library for Python 3.

Package: python-mt-940-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Python library to parse mt940 files (documentation)
 A library to parse MT940 files and returns smart Python collections for
 statistics and manipulation.
 .
 This is the common documentation package.
