=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/wolph/mt940 \
	refs/tags/v([\d\.]+)
